## org.apache.hadoop.mapred.lib
Class DelegatingInputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.lib.DelegatingInputFormat<K,V>

All Implemented Interfaces:
  InputFormat<K,V>

    public class DelegatingInputFormat<K,V>

extends Object
implements InputFormat<K,V>

An `InputFormat` that delegates behaviour of paths to multiple other InputFormats.

See Also:
  `MultipleInputs.addInputPath(JobConf, Path, Class, Class)`

Constructor Summary
`DelegatingInputFormat()`

Method Summary
`RecordReader<K,V>` `getRecordReader(InputSplit split, JobConf conf, Reporter reporter)` Get the `RecordReader` for the given `InputSplit`.
`InputSplit[]` `getSplits(JobConf conf, int numSplits)` Logically split the set of input files for the job.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingInputFormat

    public DelegatingInputFormat()

Method Detail

### getSplits

    public InputSplit[] getSplits(JobConf conf,
                                  int numSplits)
                           throws IOException

  Description copied from interface: `InputFormat`
  Logically split the set of input files for the job.

  Each `InputSplit` is then assigned to an individual `Mapper` for processing.

  Note: The split is a logical split of the inputs and the input files are not physically split into chunks. For e.g. a split could be <input-file-path, start, offset> tuple.

  Specified by:
    `getSplits` in interface `InputFormat<K,V>`
  Parameters:
    `conf` - job configuration.
    `numSplits` - the desired number of splits, a hint.
  Returns:
    an array of `InputSplit`s for the job.
  Throws:
    `IOException`

### getRecordReader

    public RecordReader<K,V> getRecordReader(InputSplit split,
                                             JobConf conf,
                                             Reporter reporter)
                                      throws IOException

  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<K,V>`
  Parameters:
    `split` - the `InputSplit`
    `conf` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation